Subject: Re: [PATCH v2 1/2] send-email: extract execute_cmd from recipients_cmd

From: Felipe Contreras <[email-masked]>
Date: Tue, 02 May 2023 15:50:04 -0600

Maxim Cournoyer wrote:
> Felipe Contreras <[email-masked]> writes:
> 
> > Maxim Cournoyer wrote:
> >> Eric Sunshine <[email-masked]> writes:
> >> 
> >> > On Tue, Apr 25, 2023 at 12:46 PM Maxim Cournoyer
> >> > <[email-masked]> wrote:
> >> >> diff --git a/git-send-email.perl b/git-send-email.perl
> >> >> @@ -2,6 +2,7 @@
> >> >>  # Copyright 2002,2005 Greg Kroah-Hartman <[email-masked]>
> >> >>  # Copyright 2005 Ryan Anderson <[email-masked]>
> >> >> +# Copyright 2023 Maxim Cournoyer <[email-masked]>
> >> >
> >> > Let's avoid this change, please. Many people have worked on this file
> >> > over the years -- often making changes far more substantial than those
> >> > made by this patch series -- who have not staked such a claim.
> >> 
> >> I don't mind to drop this hunk if it's unwelcome/not current practice.
> >
> > In most open source projects the practice is that only the top one or two
> > contributors are mentioned.
> 
> I see.  I got used adding copyright lines from contributing to GNU Guix,
> which retains everyone's minimally substantial changes copyright notices
> (if they wish), but that's probably not too common, given even the GNU
> maintainer's manual says [0]:

I would say GNU practices are not what most OSS projects follow.

> >> it's still enough of a change to be protected by copyright though, but
> >> I don't mind too much.
> >
> > My understanding is that your work is protected by copyright laws
> > regardless of whether or not a copyright notice exists. Not that it
> > would matter much in practice though, because the cases where copyright
> > matters in open source projects is very fringe.
> 
> You are right; written works are automatically protected by copyright.
> I think copyright ownership would matter in case the copyright holders
> want to intent legal action against an entity violating the license of
> the Git project (GPL v2).  Hopefully that'll never be necessary.

Yes, that is one instance, but it only matters if your wishes contradict those
of the other copyright holders, that is: they want to sue, and you don't, or
you don't want to sue, and they do. As long as your wishes align the those of
the other developers in the Git community, it doesn't matter.

Cheers.

-- 
Felipe Contreras